Package org.gradle.tooling.events.task

## Interface TaskOperationDescriptor

- All Superinterfaces:
    `OperationDescriptor`

      public interface TaskOperationDescriptor
      extends OperationDescriptor

  Describes a task operation for which an event has occurred.
  Since:
    2.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<? extends OperationDescriptor>` | `getDependencies()` | Returns the dependencies of the task (other tasks and transforms), if available.
    `PluginIdentifier` | `getOriginPlugin()` | Returns the identifier of the plugin that registered this task, if available.
    `java.lang.String` | `getTaskPath()` | Returns the path of the task.

    - ### Methods inherited from interface org.gradle.tooling.events.OperationDescriptor

      `getDisplayName, getName, getParent`

- - ### Method Detail

    - #### getTaskPath

          java.lang.String getTaskPath()

      Returns the path of the task.

    - #### getDependencies

          java.util.Set<? extends OperationDescriptor> getDependencies()
                                                                throws UnsupportedMethodException

      Returns the dependencies of the task (other tasks and transforms), if available.
      Throws:
        `UnsupportedMethodException` - For Gradle versions older than 5.1, where this method is not supported.
      Since:
        5.1

    - #### getOriginPlugin

          @Nullable
          PluginIdentifier getOriginPlugin()

      Returns the identifier of the plugin that registered this task, if available.
      Returns:
        the origin plugin; `null` if unknown
      Throws:
        `UnsupportedMethodException` - For Gradle versions older than 5.1, where this method is not supported.
      Since:
        5.1